condivisi.servlet

## Class GestoreContesto

- java.lang.Object
- - condivisi.servlet.GestoreContesto

-     public class GestoreContesto
      extends java.lang.Object

  `GestoreContesto` contiene i metodi per leggere o scrivere i dati del contesto web.
  Version:
    1.0

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static javax.servlet.ServletContext` | `context` Contesto web.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GestoreContesto()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addRigheMorsetto(java.lang.String descMorsetto)`
    `static void` | `crea(javax.servlet.ServletContext contesto)` Crea il contesto.
    `static java.lang.String` | `getAttributo(java.lang.String chiave)` Restituisce un attributo identificato da chiave.
    `static Cache` | `getCacheMedici()`
    `static java.lang.String` | `getFlagStampaMorsetti()` Restituisce il flag StampaMorsetti
    `static java.lang.String` | `getFlagSunCRL()` Restituisce il flag flagSunCRL
    `static java.lang.String` | `getFlagUsoCache()` Restituisce il flag flagUsoCache
    `static java.util.HashMap<java.lang.String,java.security.cert.X509CRL>` | `getMapCRL(boolean updateCrl)`
    `static java.lang.String` | `getNumMorsetti()`
    `static java.util.ArrayList<java.lang.String>` | `getRigheMorsetti()`
    `static java.lang.String` | `getUrlFlagStampaSoapMessage()` Restituisce il flag flagStampaSoapMessage
    `static java.lang.String` | `getUrlIntegrazioneScatel()` Restituisce l'url dello scatel
    `static void` | `setRigheMorsetti(java.util.ArrayList<java.lang.String> descMorsetto)`
    `static void` | `setUrlIntegrazioneScatel(java.lang.String urlIntegrazioneScatel)` Setta l'url dello scatel

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### context

          public static javax.servlet.ServletContext context

      Contesto web.

  - ### Constructor Detail

    - #### GestoreContesto

          public GestoreContesto()

  - ### Method Detail

    - #### crea

          public static void crea(javax.servlet.ServletContext contesto)

      Crea il contesto.
      Parameters:
        `contesto` - web

    - #### getAttributo

          public static java.lang.String getAttributo(java.lang.String chiave)

      Restituisce un attributo identificato da chiave.
      Parameters:
        `chiave` - chiave
      Returns:
        attributo

    - #### getUrlIntegrazioneScatel

          public static java.lang.String getUrlIntegrazioneScatel()

      Restituisce l'url dello scatel
      Returns:
        String url dello scatel

    - #### setUrlIntegrazioneScatel

          public static void setUrlIntegrazioneScatel(java.lang.String urlIntegrazioneScatel)

      Setta l'url dello scatel
      Parameters:
        `urlIntegrazioneScatel` - url dello scatel

    - #### getUrlFlagStampaSoapMessage

          public static java.lang.String getUrlFlagStampaSoapMessage()

      Restituisce il flag flagStampaSoapMessage
      Returns:
        String flagStampaSoapMessage

    - #### getFlagStampaMorsetti

          public static java.lang.String getFlagStampaMorsetti()

      Restituisce il flag StampaMorsetti
      Returns:
        String flagStampaMorsetti

    - #### getFlagSunCRL

          public static java.lang.String getFlagSunCRL()

      Restituisce il flag flagSunCRL
      Returns:
        String flagSunCRL

    - #### getFlagUsoCache

          public static java.lang.String getFlagUsoCache()

      Restituisce il flag flagUsoCache
      Returns:
        String

    - #### getCacheMedici

          public static Cache getCacheMedici()

    - #### getNumMorsetti

          public static java.lang.String getNumMorsetti()

    - #### getRigheMorsetti

          public static java.util.ArrayList<java.lang.String> getRigheMorsetti()

    - #### setRigheMorsetti

          public static void setRigheMorsetti(java.util.ArrayList<java.lang.String> descMorsetto)

    - #### addRigheMorsetto

          public static void addRigheMorsetto(java.lang.String descMorsetto)

    - #### getMapCRL

          public static java.util.HashMap<java.lang.String,java.security.cert.X509CRL> getMapCRL(boolean updateCrl)
                                                                                          throws java.security.cert.CertificateException,
                                                                                                 java.security.cert.CRLException,
                                                                                                 java.io.IOException

      Throws:
        `java.security.cert.CertificateException`
        `java.security.cert.CRLException`
        `java.io.IOException`